---
updatedAt: 2026-04-05T10:58:13.000Z
agentTools:
  siteIndex: https://docs.jfrog.com/llms.txt
  projectIndex: https://docs.jfrog.com/administration/llms.txt
---

# Create Project Environment

Creates a new environment for the specified project.


**Note:**
- By default, Artifactory supports up to 10 project environments.  To change this default value, modify the Access configuration YAML.  The maximum recommended number of environments is 30.
- The maximum length of an environment name is 32 characters.


**Security:** Requires Project Admin or Platform Admin privileges.


<br />

<br />

<Callout icon="❗️" theme="error">
  **Important**

  Artifactory release 7.125.3 (released October 2025) introduces Stages to replace Environments. Support for existing environments continues until further notice. For more information, see [Stages & Lifecycle](/docs/stages-lifecycle).
</Callout>

<br />

Learn about [Stages APIs](/governance/reference/stages) and [Lifecycle APIs](/governance/reference/lifecycle).

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "JFrog Platform - Environments API",
    "description": "Environment management APIs for the JFrog Platform.\n\n**Authentication:** Access Tokens as bearer token in authorization header (Authorization: Bearer <token>)\n\n**Availability:** Artifactory 7.53.1+\n",
    "version": "1.0.0",
    "contact": {
      "name": "JFrog Support"
    }
  },
  "servers": [
    {
      "url": "https://{jfrog_url}"
    }
  ],
  "tags": [
    {
      "name": "Environments",
      "description": "APIs for creating, renaming, deleting, and listing global and project environments in the JFrog Platform."
    }
  ],
  "security": [
    {
      "BearerAuth": []
    }
  ],
  "paths": {
    "/access/api/v1/projects/{projectKey}/environments": {
      "post": {
        "tags": [
          "Environments"
        ],
        "summary": "Create Project Environment",
        "description": "Creates a new environment for the specified project.\n\n\n**Note:**\n- By default, Artifactory supports up to 10 project environments.  To change this default value, modify the Access configuration YAML.  The maximum recommended number of environments is 30.\n- The maximum length of an environment name is 32 characters.\n- The name is case-insensitive and must be unique within its scope. A project environment must have a name that is unique within that project.\n\n\n**Security:** Requires Project Admin or Platform Admin privileges.\n",
        "operationId": "createProjectEnvironment",
        "parameters": [
          {
            "name": "projectKey",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "The project key"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "name"
                ],
                "properties": {
                  "name": {
                    "type": "string",
                    "description": "Environment name"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Environment created",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "name": {
                      "type": "string"
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Bad Request - Invalid input"
          },
          "401": {
            "description": "Bad Credentials - Invalid credentials"
          },
          "403": {
            "description": "Permission Denied - Insufficient permissions"
          },
          "404": {
            "description": "Not Found - Project not found"
          },
          "409": {
            "description": "Conflict - Environment already exists"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "BearerAuth": {
        "type": "http",
        "scheme": "bearer",
        "description": "Access Token as bearer token"
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false
  }
}
```